# Twitch API

Public Twitch search and channel follower counts.

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
HTML: https://trysocify.com/docs/api/twitch  
Platform file: https://trysocify.com/llms-twitch.txt  
OpenAPI: https://trysocify.com/openapi.json

## Endpoints (2)

- [Twitch Search](#twitch-search) — `GET /api/v1/twitch/search` (1 credit per request)
- [Twitch Follower Count](#twitch-follower-count) — `GET /api/v1/twitch/followers` (1 credit per request)

### Twitch Search

`GET /api/v1/twitch/search`

Search public Twitch videos, channels, or games by keyword.

Credits: 1 credit per request

**Parameters**

- `keyword` (required) — Search text. Example: `magic`.
- `type` (optional) — videos | channels | games. Defaults to videos. Example: `videos`.
- `depth` (optional) — Pages to fetch. Defaults to 1. Example: `1`.

**Docs:** [https://trysocify.com/docs/api/twitch/search.md](https://trysocify.com/docs/api/twitch/search.md) · HTML: https://trysocify.com/docs/api/twitch/search

```bash
curl -sS 'https://trysocify.com/api/v1/twitch/search?keyword=magic&type=videos&depth=1' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Twitch Follower Count

`GET /api/v1/twitch/followers`

Fetch the public follower count for a Twitch channel username.

Credits: 1 credit per request

**Parameters**

- `username` (required) — Channel login without @. Example: `hmatttv`.

**Docs:** [https://trysocify.com/docs/api/twitch/followers.md](https://trysocify.com/docs/api/twitch/followers.md) · HTML: https://trysocify.com/docs/api/twitch/followers

```bash
curl -sS 'https://trysocify.com/api/v1/twitch/followers?username=hmatttv' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

